Subject: Re: [PATCH-w 101/105] t6300 (for-each-ref): modernize style

From: Junio C Hamano <[email-masked]>
Date: Wed, 29 Feb 2012 19:26:10 -0800

Tom Grennan <[email-masked]> writes:

> It's trivial to remove these "quiet" and "silent", but to me that's the
> only value added by these patches.  More seriously, the remaining
> modernization still seems much larger than its value.

Don't do that, then ;-).

Some older scripts do redirect the output from the commands to /dev/null
but that dates back before we made the default reasonably silent, and in
"modern" style we tend to keep them sent to their standard output to help
debuggability. These quiet/silent takes us to the prehistoric times.